Subject: bug#19343: 25.0.50; [vc-git] Unregistered file becomes `up-to-date' in vc-dir buffer after editing and saving

From: Dmitry Gutov <[email-masked]>
Date: Thu, 11 Dec 2014 00:15:35 +0200

1. Open vc-dir for the repository with an unregistered file.

2. Open the file in Emacs, modify, save.

3. See it become `up-to-date' in the vc-dir buffer.

4. Switch to vc-dir, press `g'. See it become `unregistered' again.

Apparently, in part it's a result of how bug#11757 was resolved (see the
comment at the top of `vc-git-state'), but I don't remember seeing this
problem before Emacs 25. Yet I don't see anything specific among the
recent changes that caused it.

Maybe `vc-git-state' should call `git status --short' instead of `git
diff-index'.

In GNU Emacs 25.0.50.3 (x86_64-unknown-linux-gnu, GTK+ Version 3.10.8)
 of 2014-12-10 on axl
Repository revision: bdc373bf456de464b44836b11826705c0aef70b1
Windowing system distributor `The X.Org Foundation', version 11.0.11501000
System Description:	Ubuntu 14.04.1 LTS